Get Feedburner working with WordPress

If you have upgraded your site to WordPress 2.0.6 and are using Feedburner to serve your feeds, then this post is for you.

Neosmart found a problem with the way WordPress served feeds to Feedburner. As a result you ended up receiving an error:

Your server disconnected us before sending the full source feed content. If your blogging platform is TextPattern, this is a known bug, and a fix can be found here: http://forum.textpattern.com/viewtopic.php?id=11247

This doesn’t cause a problem always, but it does cause it a good number of times. Mark J who has been in the forefront of WordPress 2.0.6 was quick to release a patch for the same.

You can download the patched /wp-includes/functions.php, which will correct this error.

A WordPress 2.0.7 seems evident now inspite of the Dev Blog stating the contrary during the WordPress 2.0.6.
2.1 is also planned for release by the end of this month. 2.1 is a major upgrade from 2.0.x.

Comments (2)
  1. Jake Parrillo January 9, 2007
  2. Ajay January 9, 2007

Leave a Reply

%d bloggers like this: